# $Revision: 1.5.2.2 $, $Date: 2003/04/15 00:10:20 $
#
# _without_tests	- do not perform "make test
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Time
%define	pnam	Piece
Summary:	Object Oriented time objects
Summary(pl):	Obiekty czasu
Name:		perl-%{pdir}-%{pnam}
Version:	1.08
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildConflicts:	perl-Attribute-Persistent < 1.0-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module replaces the standard localtime and gmtime functions with
implementations that return objects. It does so in a backwards
compatible manner, so that using localtime/gmtime in the way
documented in perlfunc will still return what you expect.

%description -l pl
Ten modu zastpuje standardowe funkcje localtime i gmtime
implementacjami zwracajcymi obiekty. Czyni to w sposb wstecznie
kompatybilny, wic uywanie localtime/gmtime w sposb opisany w
perlfunc nadal bdzie robi to, czego si oczekuje.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
#%dir %{perl_sitearch}/%{pdir}/ # -- which package should be a Time/ owner?
%{perl_sitearch}/%{pdir}/*.pm
#%dir %{perl_sitearch}/auto/%{pdir} # -- which package should be a Time/ owner?
%dir %{perl_sitearch}/auto/%{pdir}/%{pnam}
%{perl_sitearch}/auto/%{pdir}/%{pnam}/%{pnam}.*
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Time-Piece.spec,v $
Revision 1.5.2.2  2003/04/15 00:10:20  ankry
- replaced _noautoreq by BuildConflicts, rel++

Revision 1.5.2.1  2003/03/13 00:59:14  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.4  2003/02/23 00:55:36  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 2

Revision 1.3  2003/02/18 15:39:02  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/17 00:13:27  qboosh
- pl description

Revision 1.1  2003/02/12 11:40:20  mis
- new
